Skip to main content
POST
WaitForSearchSync

Authorizations

Authorization
string
header
required

Personal API key, sent as Authorization: Bearer <key>.

Headers

Connect-Protocol-Version
number
required

Define the version of the Connect protocol

Example:

1

Connect-Timeout-Ms
number

Define the timeout, in ms

Example:

1000

Body

application/json

request to wait until changes of job postings and crew profiles are searchable

jobPostingIds
string<uuid>[]

ids of the job postings that were just created, changed or deleted, at most 100

Maximum array length: 100
crewProfileIds
string<uuid>[]

ids of the crew profiles that were just created, changed or deleted, at most 100

Maximum array length: 100

Response

Success

response of waiting until changes of job postings and crew profiles are searchable

synced
boolean

true when every requested record is searchable, false when the wait ended with records still pending

pendingJobPostingIds
string[]

ids of the requested job postings whose changes are not yet searchable

pendingCrewProfileIds
string[]

ids of the requested crew profiles whose changes are not yet searchable